Uploaded image for project: 'Puppet Agent'
  1. Puppet Agent
  2. PA-2807

Enable Facter jRuby Support for Debian 10

    Details

    • Template:
    • Team:
      Night's Watch
    • Story Points:
      1
    • Sprint:
      NW - 2019-08-07, NW - 2019-08-21
    • Release Notes:
      Not Needed
    • QA Risk Assessment:
      Needs Assessment

      Description

      Debian is a master platform. We need to enable jRuby on it.

      If Debian 10 uses openjdk, the following line should be changed: https://github.com/puppetlabs/puppet-agent/blob/master/configs/components/facter.rb#L48

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                george.mrejea George Mrejea
                Reporter:
                mihai.buzgau Mihai Buzgau
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Zendesk Support